name: ne/cce01
prefixType: vendor
fields:
  -
    identifier: header
    useExistingField: true
  -
    identifier: grid5050
    type: Checkbox
  -
    identifier: clear_both
    type: Checkbox
  -
    identifier: no_padding_bottom
    type: Checkbox
  -
    identifier: tab_basiccontent
    type: Tab
  -
    identifier: headline
    type: Text
    max: 512
  -
    identifier: headline_type
    type: Select
    renderType: selectSingle
    items:
      -
        value: h1
      -
        value: h2
      -
        value: h3
      -
        value: span
      -
        value: strong
  -
    identifier: headline_style
    type: Select
    renderType: selectSingle
    items:
      -
        value: ''
      -
        value: h1
      -
        value: h2
      -
        value: h3
  -
    identifier: subheadline
    type: Textarea
    enableRichtext: true
  -
    identifier: tab_sidebar
    type: Tab
  -
    identifier: cce01_sidebarelements
    type: Collection
    appearance:
      showPossibleLocalizationRecords: true
    fields:
      -
        identifier: header
        type: Text
      -
        identifier: sidebar_lightbox_active
        type: Checkbox
      -
        identifier: new_sidebar_thumbnail_image
        type: File
        allowed: common-image-types
        maxitems: 1
      -
        identifier: new_sidebar_thumbnail_image_alt_text
        type: Text
      -
        identifier: new_sidebar_thumbnail_image_title_text
        type: Text
      -
        identifier: new_sidebar_thumbnail_image_caption
        type: Text
        max: 512
      -
        identifier: new_sidebar_image
        type: File
        allowed: common-image-types
        maxitems: 1
      -
        identifier: new_sidebar_image_alt_text
        type: Text
      -
        identifier: new_sidebar_image_title_text
        type: Text
      -
        identifier: download_file
        type: File
        allowed:
          - pdf
        maxitems: 1
      -
        identifier: download_link_text
        type: Text
      -
        identifier: download_link_target
        type: Text
      -
        identifier: download_lead
        type: Select
        renderType: selectSingle
        items:
          -
            value: null
          -
            value: download
          -
            value: webinar
          -
            value: onlineEvent
      -
        identifier: gotowebinar
        type: Text
      -
        identifier: webinar_title
        type: Text
      -
        identifier: webinar_date_from
        type: Text
      -
        identifier: webinar_date_to
        type: Text
  -
    identifier: tab_main
    type: Tab
  -
    identifier: cce01_elements
    type: Collection
    appearance:
      showPossibleLocalizationRecords: true
    foreign_table: ne_cce01_elements
